# Packmanpackagename: tntnet
# Packman: Manfred Tremmel
# norootforbuild

%define major     12
%define lib       libtntnet
%define libname   %{lib}%{major}

Name:           tntnet
Summary:        Tntnet is a web application server for web applications written in C++
Version:        2.2.1
Release:        3.3
License:        GPL v2 or later
Group:          Productivity/Networking/Web/Servers
Url:            http://www.tntnet.org/index.hms
Source0:        tntnet-%{version}.tar.bz2
Source1:        tntnet
Patch0:         tntnet-%{version}-gcc47.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(pre):  %{insserv_prereq}
Requires:       %{libname} = %{version}-%{release}
BuildRequires:  zip
BuildRequires:  glibc-devel
BuildRequires:  libcxxtools-devel >= 2.2.1
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  lzo
BuildRequires:  lzo-devel
BuildRequires:  findutils
Obsoletes:      tntnet%{major} < %{version}-%{release}
Provides:       tntnet%{major} = %{version}-%{release}

%description
Tntnet is a web application server for web applications written in C++.

You can write a Web-page with HTML and with special tags you embed
C++-code into the page for active contents. These pages, called
components are compiled into C++-classes with the ecpp-compilier
"ecppc", then compiled into objectcode and linked into a shared library.
This shared library is loaded by the webserver "tntnet" on request and
executed.


%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of tntnet
Provides:       %{lib} = %{version}-%{release}

%description -n %{libname}
Tntnet is a web application server for web applications written in C++.

Shared library part of tntnet


%package -n %{lib}-devel
Summary:        Tntdb is a c++-class-library for easy database-access
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}-%{release}
Requires:       glibc-devel
Requires:       libcxxtools-devel >= 2.2.1
Requires:       openssl-devel
Requires:       zlib-devel
Requires:       lzo
Requires:       lzo-devel
Obsoletes:      tntnet-devel < %{version}-%{release}
Provides:       tntnet-devel = %{version}-%{release}

%description -n %{lib}-devel
Tntnet is a web application server for web applications written in C++.
Development files



%prep
%setup -q -n tntnet-%{version}
%patch0 -p1

%build
%{configure} --with-ssl=openssl --without-demos
%{__make} %{?_smp_mflags}

%install
%{makeinstall}
%{__install} -c -m 755 %{SOURCE1} %{buildroot}/etc/init.d/

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%preun
%stop_on_removal tntnet

%postun
%restart_on_update tntnet
%insserv_cleanup

%files
%defattr (-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%dir /etc/tntnet
%config /etc/init.d/tntnet
%config(noreplace) /etc/tntnet/tntnet.xml
%doc %{_mandir}/man1/*.1.gz
%doc %{_mandir}/man7/*.7.gz
%doc %{_mandir}/man8/*.8.gz
%dir %{_datadir}/tntnet
%{_datadir}/tntnet/tntnet-conf2xml.pl

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%dir %{_libdir}/tntnet
%{_libdir}/tntnet/*.so.*

%files -n %{lib}-devel
%defattr (-, root, root)
%dir %{_includedir}/tnt/
%{_includedir}/tnt/*.h
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/tntnet/*.so
%{_libdir}/tntnet/*.*a

%changelog
* Sat Feb 22 2014 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2.2.1-1
- Update to 2.2.1, better late, then never...
* Sun Apr 15 2012 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2.1-1
- Update to 2.1
* Tue Aug 03 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2.0-1.pm.0
- Update to 2.0
* Wed Jul 14 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 1.6.3-2.pm.1
- compile with gnutls fails on openSUSE 11.3, so use openssl
* Thu Sep 03 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 1.6.3-1.pm.1
- cleanups where rpmlint wasn't so happy
* Wed Jan 14 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- downgrade to 1.6.3, 1.6.4 was not an official release and
  makes problems with some other packages
* Thu Jul 31 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1.6.4 - better late, then never ;-)
* Sun Jun 15 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1.6.3
* Wed Apr 23 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1.6.2
* Sun Apr 06 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1.6.1.3
* Tue Mar 25 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1.6.1.2
* Mon Mar 10 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1.6.1.1
* Mon Dec 17 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- initial build
